//  main: main.less, out: ../style.css

/* 
====================================================================================================================================
BLOG
======================================================================================================================================
*/

.c-blog {
    .u-flex-display;
    .u-flex-wrap(wrap);
    .u-justify-content(space-between);
    padding-top: 130px;
    @media @media_smartphone {
        padding-top: 100px;
    }
}

body.isScrolled {
    .c-blog {
        padding-top: 100px;
    }
}

.c-blog__item {
    position: relative;
    display: block;
    width: calc(50% ~'-'@margin__s/2);
    margin-bottom: @margin__s;

    .c-blogitem__image {
        position: relative;
        width: 100%;
        height: 350px;
    }

    .c-blogitem__content {
        position: relative;
        text-align: left;
        padding: @margin__s*2 @margin__s*2 @margin__s*2 @margin__m/2;
        background-color: fade(@color-secondary, 20%);

        .c-blogitem__category {
            text-transform: uppercase;

            ul {
                margin: 0;
                padding: 0;
            }

            li {
                list-style-type: none;
            }
        }

        .c-blogitem__title {
            position: relative;
            padding-bottom: @margin__s;
            margin: @margin__s/2 0 @margin__s 0;
            line-height: 1.2em;
            font-size: @size__lx;

            a {
                font-weight: @font_w__r;
                margin: 0;
                color: black;
            }

            &:after {
                position: absolute;
                content: '';
                display: block;
                width: 50px;
                height: 1px;
                background-color: @color-primary;
                left: 0;
                bottom: 0;
            }
        }

        .c-blogitem__text {
            p {
                display: none;
                margin: 0;

                &:first-child {
                    display: block;
                    text-overflow: ellipsis;
                    white-space: nowrap;
                    width: 100%;
                    overflow: hidden;
                }
            }
        }

        .c-blogitem__link {
            position: absolute;
            height: 30px;
            width: 30px;
            background-image: url('./images/icn-arrow-blu.svg');
            background-position: center;
            background-size: auto;
            background-repeat: no-repeat;
            right: 10px;
            top: 50%;
            .u-transform(translateY(-50%));
            .transition-elastic;

            &:hover {
                right: 5px;
            }
        }
    }

    @media @media_tablet,
    @media_smartphone {
        width: 100%;

        .c-blogitem__content {
            .c-blogitem__title {
                &:after {
                    left: 50%;
                    .u-transform(translateX(-50%));
                }
            }
        }
    }
    
    @media @media_tablet  {
        .c-blogitem__image {
            height: 400px!important;
        }
        .c-blogitem__content {
            text-align: left!important;
            padding: @margin__m @margin__l!important;

            .c-blogitem__title {
                font-size: @size__xl!important;
            }
        }
    }

    @media @media_smartphone {
        .c-blogitem__image {
            height: 200px!important;
        }
        .c-blogitem__content {
            text-align: left!important;
            padding: @margin__s!important;

            .c-blogitem__title {
                font-size: @size__lm!important;
                margin-bottom: 0!important;
                &:after {
                    display: none!important;
                }
            }
            .c-blogitem__text  {
                display: none!important;
            }

            .c-blogitem__link {
                right: 10px;
                bottom: 10px;
                top: initial;
                .u-transform(translateY(0));
            }
        }
    }
}

.c-blog__item.big {
    width: 100%;

    .c-blogitem__image {
        height: 500px;
    }

    .c-blogitem__content {
        text-align: center;
        padding: @margin__m @margin__l;

        .c-blogitem__title {
            font-size: @size__xl;

            &:after {
                left: 50%;
                .u-transform(translateX(-50%));
            }
        }
    }

    @media @media_tablet, @media_smartphone {
        .u-flex-display;
        .u-flex-direction(column-reverse);
    }

}

.navigation {
    background-color: fade(@color-secondary, 20%);
    width: 100%;
    margin-top: @margin__m;
}

.nav-links {
    position: relative;
    height: 50px;
    .l-container;

    .nav-previous a,
    .nav-next a {
        position: absolute;
        background-repeat: no-repeat;
        background-size: auto;
        top: 50%;
        .u-transform(translateY(-50%));
    }

    .nav-previous a {
        background-image: url(./images/icn-arrow-back.svg);
        left: @margin__m;
        padding-left: 30px;
        background-position: left center;
    }

    .nav-next a {
        background-image: url(./images/icn-arrow-next.svg);
        right: @margin__m;
        padding-right: 30px;
        background-position: right center;
    }

    @media @media_smartphone {
        .nav-previous a, .nav-next a {
            text-indent: -1000px;
            overflow: hidden;
            width: 30px;
            padding: 0;
        }

        .nav-previous a {
            left: @margin__m/2;
        }
    
        .nav-next a {
            right: @margin__m/2;
        }
    }
}

/* 
====================================================================================================================================
DETTAGLIO
======================================================================================================================================
*/

.c-article__header {
    height: calc(100vh ~'-' 260px);
    width: 100%;
    .u-flex-display;
    @media @media_smartphone {
        .u-flex-direction(column);
        height: initial;
    }
}

.c-article__image {
    position: relative;
    width: 50%;
    @media @media_smartphone {
        width: 100%;
        height: 200px;
    }
}

.c-article__title {
    width: 50%;
    background-color: fade(@color-secondary, 20%);
    padding: 0 @margin__m/2;
    .u-flex-display;
    .u-flex-direction(column);
    .u-align-items(flex-start);
    .u-justify-content(center);
    .title {
        font-size: @size__xl;
        font-weight: @font_w__r;
        margin: 10px 0;
        line-height: 1.2em;
    }
    @media @media_smartphone {
        width: 100%;
        padding: @margin__m/2;
        .title {
            font-size: @size__lm;

        }
    }
}

.c-article__category {
    margin-top: @margin__s;
    ul {
        margin: 0;
        padding: 0;
    }
    li {
        list-style-type: none;
        color: @color-primary;
        text-transform: uppercase;
    }

    @media @media_smartphone {
        margin-top: @margin__s/2;
    }
}

.c-article {
    padding-top: @margin__xl;
    padding-bottom: @margin__m;
    @media @media_smartphone {
        padding-top: @margin__s*2;
        padding-bottom: @margin__s*2;
    }
}

.shared-counts-wrap {
    margin-top: @margin__m;
}
.shared-counts-button {
    margin-bottom: @margin__s/2!important;
}